Page MenuHomePhabricator

archive/archive_userindex is not filled in eswiki_p
Closed, ResolvedPublic

Description

I'm trying to access to view archive_userindex to read some stats for deleted revisions (as it's indicated in wikitech).

I'm tried to read the view and there is no rows returned, but in other replicas (such as enwiki_p or frwiki_p) returns rows.

Example:
use eswiki_p; select count(1) from archive_userindex;

Expected results
count(1) ~ 200000 rows

Actual results
count(1) = 0 rows

Regards

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 2:12 AM
Krenair renamed this task from archive_userindex is not filled in eswiki_p to archive/archive_userindex is not filled in eswiki_p.Apr 21 2016, 2:52 AM
Krenair added a project: DBA.
Krenair added a subscriber: Krenair.

it's not just _userindex, the actual archive table has the same problem

chasemp triaged this task as Normal priority.May 31 2016, 3:29 PM

After one year, is there any solution or just is a minor/lowest issue?

Marostegui closed this task as Resolved.Nov 8 2017, 12:32 PM
Marostegui claimed this task.
Marostegui added a subscriber: Marostegui.

This works with the new replicas, please switch to use them (https://phabricator.wikimedia.org/phame/post/view/70/new_wiki_replica_servers_ready_for_use/)

mysql:root@localhost [eswiki_p]> use eswiki_p; select count(1) from archive_userindex;
Database changed
+----------+
| count(1) |
+----------+
|  8063778 |
+----------+
1 row in set (7.07 sec)

mysql:root@localhost [(none)]> select @@hostname;
+------------+
| @@hostname |
+------------+
| labsdb1009 |
+------------+
1 row in set (0.00 sec)